跳转到内容

Kolors

集成

模型 id kolors
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kolors?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: ≈$0.035 35 API 积分 在此页面运行

获取 API 密钥
Kuaishou 文生图 #realism#diffusion

面向写实效果的文本生成图像模型,支持选择调度器,每次请求最多生成 8 张图像

Kuaishou · 图像

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填

描述要生成的图像;请尽可能提供详细信息以获得最佳结果。

image_size 默认 square_hd

生成图像的尺寸。

num_images 默认 1

请求生成的图像数量。

高级 negative_prompt · output_format · scheduler · guidance_scale · num_inference_steps · seed · enable_safety_checker
默认

指定要排除的图像细节的负面提示词,包括颜色、物体、场景或更细致的特征。例如胡子、模糊或低分辨率。

output_format 默认 png

结果图像的文件格式。

默认 EulerDiscreteScheduler

为模型执行选择的调度器。

默认 5

图像选择对提示词的遵循强度,以 CFG(Classifier Free Guidance)表示。

默认 50

要执行的推理步数。

随机生成器种子。

POST /run/kolors?wait=20 报价 → $0.035
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kolors?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Kolors

根据文本 `prompt` 生成图像,可选使用 `negative_prompt`。可以调整 `guidance_scale`(1 到 10)、`num_inference_steps`(1 到 150),并从六个选项中选择 `scheduler`。每次调用生成 1 到 8 张图像,支持六种预设尺寸,格式为 png 或 jpeg,并可使用 `seed` 实现可复现。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
prompt必填
类型string
描述要生成的图像;请尽可能提供详细信息以获得最佳结果。
negative_prompt可选
类型string
默认值
指定要排除的图像细节的负面提示词,包括颜色、物体、场景或更细致的特征。例如胡子、模糊或低分辨率。
guidance_scale可选
类型number
默认值5
1 – 10
图像选择对提示词的遵循强度,以 CFG(Classifier Free Guidance)表示。
num_inference_steps可选
类型integer
默认值50
1 – 150
要执行的推理步数。
seed可选
类型integer | null
随机生成器种子。
enable_safety_checker可选
类型boolean
默认值true
安全检查开关;适用检查时,不安全图像会被替换为黑色图像。未经授权的请求必须进行检查;只有经过授权的账户才能禁用检查。
num_images可选 num_outputs
类型integer
默认值1
1 – 8
请求生成的图像数量。
image_size可选
类型object
默认值square_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
生成图像的尺寸。
scheduler可选
类型enum
默认值EulerDiscreteScheduler
EulerDiscreteSchedulerEulerAncestralDiscreteSchedulerDPMSolverMultistepSchedulerDPMSolverMultistepScheduler_SDE_karrasUniPCMultistepSchedulerDEISMultistepScheduler
为模型执行选择的调度器。
output_format可选
类型enum
默认值png
jpegpng
结果图像的文件格式。
必填 规范名称,也可接受

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kolors",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 35,
    "usd": "0.035",
    "charged": 35,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
images
array of object {url, width, height, content_type}生成图像的文件信息。
timings
object
seed
integer图像生成种子;如果输入未提供种子,则包含随机选择的值,否则重复使用所提供的值。
has_nsfw_concepts
array of boolean指示生成的图像中是否出现 NSFW 概念。
prompt
string图像生成期间使用的提示词。

更多模型:文生图

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/kolors.md. 所有模型和指南: https://doitong.com/developers/llms.txt